# /etc/apache2/sites-available/ku-auto-virtual
#
# ::maintainer::
# ::copy::
#
#-----------------------------------------------------------------------------
#
# Definisce in modo dinamico i virtual hosts del webserver Apache2
# abilitando tutte le subdirectories di primo livello sotto una
# directory principale
#
#-----------------------------------------------------------------------------

UseCanonicalName Off

CustomLog /var/log/apache2/access.log vcommon

VirtualDocumentRoot ::apache.autovirtual_root::/%0/docs
VirtualScriptAlias  ::apache.autovirtual_root::/%0/cgi-bin

ServerAdmin ::apache.server_admin::
ServerSignature On

<Directory ::apache.autovirtual_root::/*/docs>
    AllowOverride All
    Options MultiViews Indexes Includes FollowSymLinks
    Require all granted
</Directory>

<Directory ::apache.autovirtual_root::/*/cgi-bin>
    Options +ExecCGI -Includes -Indexes -MultiViews +SymLinksIfOwnerMatch
    SetHandler cgi-script
    Require all granted
</Directory>
